/[gentoo-x86]/x11-base/xorg-server/xorg-server-1.11.1.ebuild
Gentoo

Contents of /x11-base/xorg-server/xorg-server-1.11.1.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.1 - (show annotations) (download)
Sun Oct 2 00:47:55 2011 UTC (2 years, 9 months ago) by chithanh
Branch: MAIN
Version bump, bug #385039. Fixes bug #373547 and bug #379915.

(Portage version: 2.2.0_alpha53/cvs/Linux x86_64)

1 # Copyright 1999-2011 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/x11-base/xorg-server/xorg-server-1.11.0.ebuild,v 1.3 2011/09/02 00:57:28 mattst88 Exp $
4
5 EAPI=4
6
7 XORG_DOC=doc
8 inherit xorg-2 multilib versionator
9 EGIT_REPO_URI="git://anongit.freedesktop.org/git/xorg/xserver"
10
11 DESCRIPTION="X.Org X servers"
12 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
13
14 IUSE_SERVERS="dmx kdrive xnest xorg xvfb"
15 IUSE="${IUSE_SERVERS} ipv6 minimal nptl tslib +udev"
16
17 RDEPEND=">=app-admin/eselect-opengl-1.0.8
18 dev-libs/openssl
19 media-libs/freetype
20 >=x11-apps/iceauth-1.0.2
21 >=x11-apps/rgb-1.0.3
22 >=x11-apps/xauth-1.0.3
23 x11-apps/xkbcomp
24 >=x11-libs/libpciaccess-0.10.3
25 >=x11-libs/libXau-1.0.4
26 >=x11-libs/libXdmcp-1.0.2
27 >=x11-libs/libXfont-1.4.2
28 >=x11-libs/libxkbfile-1.0.4
29 >=x11-libs/pixman-0.21.8
30 >=x11-libs/xtrans-1.2.2
31 >=x11-misc/xbitmaps-1.0.1
32 >=x11-misc/xkeyboard-config-1.4
33 dmx? (
34 x11-libs/libXt
35 >=x11-libs/libdmx-1.0.99.1
36 >=x11-libs/libX11-1.1.5
37 >=x11-libs/libXaw-1.0.4
38 >=x11-libs/libXext-1.0.99.4
39 >=x11-libs/libXfixes-5.0
40 >=x11-libs/libXi-1.2.99.1
41 >=x11-libs/libXmu-1.0.3
42 >=x11-libs/libXres-1.0.3
43 >=x11-libs/libXtst-1.0.99.2
44 )
45 kdrive? (
46 >=x11-libs/libXext-1.0.5
47 x11-libs/libXv
48 )
49 !minimal? (
50 >=x11-libs/libX11-1.1.5
51 >=x11-libs/libXext-1.0.5
52 >=media-libs/mesa-7.8_rc[nptl=]
53 )
54 tslib? ( >=x11-libs/tslib-1.0 )
55 udev? ( >=sys-fs/udev-150 )
56 >=x11-apps/xinit-1.3"
57
58 DEPEND="${RDEPEND}
59 sys-devel/flex
60 >=x11-proto/bigreqsproto-1.1.0
61 >=x11-proto/compositeproto-0.4
62 >=x11-proto/damageproto-1.1
63 >=x11-proto/fixesproto-5.0
64 >=x11-proto/fontsproto-2.0.2
65 >=x11-proto/glproto-1.4.14
66 >=x11-proto/inputproto-1.9.99.902
67 >=x11-proto/kbproto-1.0.3
68 >=x11-proto/randrproto-1.2.99.3
69 >=x11-proto/recordproto-1.13.99.1
70 >=x11-proto/renderproto-0.11
71 >=x11-proto/resourceproto-1.0.2
72 >=x11-proto/scrnsaverproto-1.1
73 >=x11-proto/trapproto-3.4.3
74 >=x11-proto/videoproto-2.2.2
75 >=x11-proto/xcmiscproto-1.2.0
76 >=x11-proto/xextproto-7.1.99
77 >=x11-proto/xf86dgaproto-2.0.99.1
78 >=x11-proto/xf86rushproto-1.1.2
79 >=x11-proto/xf86vidmodeproto-2.2.99.1
80 >=x11-proto/xineramaproto-1.1.3
81 >=x11-proto/xproto-7.0.22
82 dmx? ( >=x11-proto/dmxproto-2.2.99.1 )
83 !minimal? (
84 >=x11-proto/xf86driproto-2.1.0
85 >=x11-proto/dri2proto-2.6
86 >=x11-libs/libdrm-2.4.20
87 )"
88
89 PDEPEND="
90 xorg? ( >=x11-base/xorg-drivers-$(get_version_component_range 1-2) )"
91
92 REQUIRED_USE="!minimal? (
93 || ( ${IUSE_SERVERS} )
94 )"
95
96 #UPSTREAMED_PATCHES=(
97 # "${WORKDIR}/patches/"
98 #)
99
100 PATCHES=(
101 "${UPSTREAMED_PATCHES[@]}"
102 "${FILESDIR}"/${PN}-disable-acpi.patch
103 "${FILESDIR}"/${PN}-1.9-nouveau-default.patch
104 )
105
106 pkg_pretend() {
107 # older gcc is not supported
108 [[ $(gcc-major-version) -lt 4 ]] && \
109 die "Sorry, but gcc earlier than 4.0 wont work for xorg-server."
110 }
111
112 pkg_setup() {
113 xorg-2_pkg_setup
114
115 # localstatedir is used for the log location; we need to override the default
116 # from ebuild.sh
117 # sysconfdir is used for the xorg.conf location; same applies
118 # --enable-install-setuid needed because sparcs default off
119 # NOTE: fop is used for doc generating ; and i have no idea if gentoo
120 # package it somewhere
121 XORG_CONFIGURE_OPTIONS=(
122 $(use_enable ipv6)
123 $(use_enable dmx)
124 $(use_enable kdrive)
125 $(use_enable kdrive kdrive-kbd)
126 $(use_enable kdrive kdrive-mouse)
127 $(use_enable kdrive kdrive-evdev)
128 $(use_enable tslib)
129 $(use_enable !minimal record)
130 $(use_enable !minimal xfree86-utils)
131 $(use_enable !minimal install-libxf86config)
132 $(use_enable !minimal dri)
133 $(use_enable !minimal dri2)
134 $(use_enable !minimal glx)
135 $(use_enable xnest)
136 $(use_enable xorg)
137 $(use_enable xvfb)
138 $(use_enable nptl glx-tls)
139 $(use_enable udev config-udev)
140 $(use_with doc doxygen)
141 $(use_with doc xmlto)
142 --sysconfdir=/etc/X11
143 --localstatedir=/var
144 --enable-install-setuid
145 --with-fontrootdir=/usr/share/fonts
146 --with-xkb-output=/var/lib/xkb
147 --disable-config-hal
148 --without-dtrace
149 --without-fop
150 --with-os-vendor=Gentoo
151 )
152
153 # Xorg-server requires includes from OS mesa which are not visible for
154 # users of binary drivers.
155 mkdir -p "${T}/mesa-symlinks/GL"
156 for i in gl glx glxmd glxproto glxtokens; do
157 ln -s "${EROOT}usr/$(get_libdir)/opengl/xorg-x11/include/$i.h" "${T}/mesa-symlinks/GL/$i.h" || die
158 done
159 for i in glext glxext; do
160 ln -s "${EROOT}usr/$(get_libdir)/opengl/global/include/$i.h" "${T}/mesa-symlinks/GL/$i.h" || die
161 done
162 append-cppflags "-I${T}/mesa-symlinks"
163 }
164
165 src_install() {
166 xorg-2_src_install
167
168 dynamic_libgl_install
169
170 server_based_install
171
172 if ! use minimal && use xorg; then
173 # Install xorg.conf.example into docs
174 dodoc "${AUTOTOOLS_BUILD_DIR}"/hw/xfree86/xorg.conf.example
175 fi
176
177 newinitd "${FILESDIR}"/xdm-setup.initd-1 xdm-setup
178 newinitd "${FILESDIR}"/xdm.initd-3 xdm
179 newconfd "${FILESDIR}"/xdm.confd-3 xdm
180
181 # install the @x11-module-rebuild set for Portage
182 insinto /usr/share/portage/config/sets
183 newins "${FILESDIR}"/xorg-sets.conf xorg.conf
184 }
185
186 pkg_postinst() {
187 # sets up libGL and DRI2 symlinks if needed (ie, on a fresh install)
188 eselect opengl set xorg-x11 --use-old
189
190 if [[ ${PV} != 9999 && $(get_version_component_range 2 ${REPLACING_VERSIONS}) != $(get_version_component_range 2 ${PV}) ]]; then
191 ewarn "You must rebuild all drivers if upgrading from <xorg-server-$(get_version_component_range 1-2)"
192 ewarn "because the ABI changed. If you cannot start X because"
193 ewarn "of module version mismatch errors, this is your problem."
194
195 echo
196 ewarn "You can generate a list of all installed packages in the x11-drivers"
197 ewarn "category using this command:"
198 ewarn " emerge portage-utils; qlist -I -C x11-drivers/"
199 ewarn "or using sets from portage-2.2:"
200 ewarn " emerge @x11-module-rebuild"
201 fi
202 }
203
204 pkg_postrm() {
205 # Get rid of module dir to ensure opengl-update works properly
206 if [[ -z ${REPLACED_BY_VERSION} && -e ${ROOT}/usr/$(get_libdir)/xorg/modules ]]; then
207 rm -rf "${ROOT}"/usr/$(get_libdir)/xorg/modules
208 fi
209 }
210
211 dynamic_libgl_install() {
212 # next section is to setup the dynamic libGL stuff
213 ebegin "Moving GL files for dynamic switching"
214 dodir /usr/$(get_libdir)/opengl/xorg-x11/extensions
215 local x=""
216 for x in "${D}"/usr/$(get_libdir)/xorg/modules/extensions/lib{glx,dri,dri2}*; do
217 if [ -f ${x} -o -L ${x} ]; then
218 mv -f ${x} "${D}"/usr/$(get_libdir)/opengl/xorg-x11/extensions
219 fi
220 done
221 eend 0
222 }
223
224 server_based_install() {
225 if ! use xorg; then
226 rm "${D}"/usr/share/man/man1/Xserver.1x \
227 "${D}"/usr/$(get_libdir)/xserver/SecurityPolicy \
228 "${D}"/usr/$(get_libdir)/pkgconfig/xorg-server.pc \
229 "${D}"/usr/share/man/man1/Xserver.1x
230 fi
231 }

  ViewVC Help
Powered by ViewVC 1.1.20